
@mixin toast-variant($background, $box-shadow-color: rgba($white, .5), $border-color: darken($background, 7.5%), $icon-color: $background) {
    background-color: $background;
    border: $toast-border-width solid $border-color;
    box-shadow: inset 5px 0 $border-color;

    .toast-icon {
        color: $icon-color;
        background-color: $white;
        border-color: $white;
        box-shadow: $toast-icon-box-shadow $box-shadow-color;
    }

    // &.toast-sm {
    //     box-shadow: $toast-icon-box-shadow ;
    // }

    .toast-text,
    .toast-close,
    .toast-caption {
        color: $white;
    }
}

